Subject: bug#62096: 30.0.50; find-dired, dired-goto-file and spaces

From: Drew Adams <[email-masked]>
Date: Fri, 10 Mar 2023 19:55:06 +0000

> I almost got it.  It comes from the test on the switches used to build
> the dired buffer.
> 
> For a "standard" dired build with ls, on OpenBSD, I just have "-al" as
> switches: no "b" so it doesn't trigger the string-replace.
> 
> For a find-dired buffer, on OpenBSD, I have "-gilsb" as switches: there
> is a "b" that triggers the string-replace (which is not needed here).
> 
> I think that the fix should be "test the b switch only for ls built
> dired".  I don't know if it will fix Windows.

In my tests with `emacs -Q`, `dired-listing-switches' is
just "-al", so I'm guessing that going down this road
isn't the right approach (isn't sufficient).